ruby-sprockets_3.3.0-1_all.deb


Advertisement

Description

ruby-sprockets - Rack-based asset packaging system

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-sprockets
Package version: 3.3.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 278 B
Download size: 55.93 KB
Official Mirror: archive.ubuntu.com
Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

Alternatives

    Download

    Source package: ruby-sprockets

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-sprockets deb package:
      # sudo apt-get install ruby-sprockets

    Files

    • /usr/bin/sprockets
    • /usr/lib/ruby/vendor_ruby/sprockets.rb
    • /usr/lib/ruby/vendor_ruby/rake/sprocketstask.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/asset.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/base.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/bower.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/bundle.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/cache.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/cached_environment.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/closure_compressor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/coffee_script_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/coffee_script_template.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/compressing.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/configuration.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/context.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/dependencies.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/digest_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/directive_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/eco_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/eco_template.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/ejs_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/ejs_template.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/encoding_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/engines.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/environment.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/erb_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/erb_template.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/errors.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/file_reader.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/http_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/jst_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/legacy.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/legacy_proc_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/legacy_tilt_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/loader.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/manifest.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/manifest_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/mime.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/path_dependency_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/path_digest_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/path_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/paths.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/processing.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/processor_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/resolve.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/sass_cache_store.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/sass_compressor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/sass_functions.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/sass_importer.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/sass_processor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/sass_template.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/server.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/transformers.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/uglifier_compressor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/uri_utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/utils.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/version.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/yui_compressor.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/closure.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/coffee_script.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/eco.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/ejs.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/sass.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/uglifier.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/autoload/yui.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/cache/file_store.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/cache/memory_store.rb
    • /usr/lib/ruby/vendor_ruby/sprockets/cache/null_store.rb
    • /usr/share/doc/ruby-sprockets/README.md.gz
    • /usr/share/doc/ruby-sprockets/changelog.Debian.gz
    • /usr/share/doc/ruby-sprockets/copyright
    • /usr/share/man/man1/sprockets.1.gz
    • /usr/share/rubygems-integration/all/specifications/sprockets-3.3.0.gemspec

    Changelog

    2015-12-12 - Antonio Terceiro <terceiro@debian.org> ruby-sprockets (3.3.0-1) unstable; urgency=medium * Upload to unstable

    2015-08-17 - Antonio Terceiro <terceiro@debian.org> ruby-sprockets (3.3.0-1~exp2) experimental; urgency=medium * Remove fake gemspecs added by some stupid person on 2.4.3-1.

    2015-08-13 - Antonio Terceiro <terceiro@debian.org> ruby-sprockets (3.3.0-1~exp1) experimental; urgency=medium New upstream release

    2014-11-14 - Antonio Terceiro <terceiro@debian.org> ruby-sprockets (2.12.3-1) unstable; urgency=medium * New upstream release - Fix for [CVE-2014-7819] Arbitrary file existence disclosure in Sprockets

    2014-05-19 - Antonio Terceiro <terceiro@debian.org> ruby-sprockets (2.12.1-1) unstable; urgency=medium * New upstream release

    2014-01-16 - Christian Hofstaedtler <zeha@debian.org> ruby-sprockets (2.10.1-1) unstable; urgency=low * Team upload. [ Hleb Valoshka ] * New upstream release. * Build against gem2deb >= 0.5.0~ to add ruby2.0 and drop ruby1.8 support.

    2013-12-02 - Christian Hofstaedtler <zeha@debian.org> ruby-sprockets (2.4.3-2) unstable; urgency=low Team upload. [ Antonio Terceiro ] * Workaround the fact that Rails depends on an old version of sprockets * Add myself to Uploaders: [ Cédric Boutillier ] * debian/control: remove obsolete DM-Upload-Allowed flag * use canonical URI in Vcs-* fields * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format field [ Christian Hofstaedtler ] * Add alternative dependency on ruby-rack1.4 * Update Standards-Version to 3.9.5 (no changes)

    2012-06-24 - Antonio Terceiro <terceiro@debian.org> ruby-sprockets (2.4.3-1) unstable; urgency=low * New upstream release * Bump build dependency on gem2deb to >= 0.3.0~ * Install fake gemspecs so that this package also provides sprockets 2.1.3, which is the one Rails depends on. That version is too old, and the new one contain a lot of bugfixes. See, for example, https://github.com/rails/rails/pull/5984 . I am assuming that 2.4.3 is reasonably backwards-compatible, since the upstream README recommends depending on 2.x instead of specifically on some 2.x.y * debian/control: add myself to Uploaders:

    2012-04-25 - Ondřej Surý <ondrej@debian.org> ruby-sprockets (2.4.0-2) unstable; urgency=low * Fix typo titl -> tilt

    2012-04-25 - Ondřej Surý <ondrej@debian.org> ruby-sprockets (2.4.0-1) unstable; urgency=low * Initial release

    Advertisement
    Advertisement